REM
REM  This is a SAMPLE file, intended to DEMONSTRATE the correct use of
REM  doors only.  This sample assumes a maximum of three functions (two
REM  doors + drop-to-DOS).  rOver passes the # of the door to execute as
REM  the first parameter to the batch file (%1), and we use that to determine
REM  what to do.  Anything that is unrecognized simply does an EXIT and
REM  returns to the BBS.  
REM
REM  Note!  Although this sample shows DOORWAY.EXE being utilized, this
REM  programs is NOT, in fact, recommended, due to problems with the timer.
REM  For more information, see the section on the doorway in the ROVER.DOC
REM  file.  (Work is underway on a version of DOORWAY that should run with
REM  rOverBoard.)
REM  

Echo Off
if "%1" == "0" Goto DROPDOS
if "%1" == "1" Goto DOOR_ONE
if "%1" == "2" Goto DOOR_TWO
Goto NO_DOOR

:DROPDOS
REM
REM This is door #0.  It uses DOORWAY to provide a remote drop-to-dos.
REM Note that some versions of DOS may execute DOORWAY.EXE instead of rOver's
REM DOORWAY.BAT if they are in the same sub-directory.  If this happens, be
REM sure DOORWAY.EXE is placed somewhere other than the rOver root directory.
REM
DOORWAY %2 /S:* /V:B /M:%6 /C:DOS
Goto DOOR_EXIT

:DOOR_ONE
REM
REM This is door #1.  It uses DOORWAY to allow PMAP to run as a door.  It
REM assumes that PMAP.EXE is in C:\UTILS.
REM
DOORWAY %2 /S:* /V:B /H /M:%6 /B:MSZ /W /P:C:\UTILS\PMAP.EXE
Goto DOOR_EXIT

:DOOR_TWO
REM
REM This is door #2.  It uses MOCKDOOR to create a PCBoard compatible 
REM interface file (PCBOARD.SYS), then runs a simple game program called
REM MADNESS, using PCBoard emulation.  It assumes that your rOver directory
REM is C:\ROVER, and that MADNESS.EXE is in C:\ROVER\DOORS.
REM
MOCKDOOR %7 2
MADNESS /P:C:\ROVER\ /Q /Y:C\ROVER\DOORS
Goto DOOR_EXIT

:NO_DOOR
Echo Error - invalid door # %1

:DOOR_EXIT
Exit

